# Thinking Notebook & Markdown IDE

[![Travis CI](https://travis-ci.org/dvorka/mindforger.svg?branch=master)](https://travis-ci.org/dvorka/mindforger)
[![Current release](https://img.shields.io/github/release/dvorka/mindforger.svg)](https://github.com/dvorka/mindforger/releases)
[![Documentation](https://img.shields.io/badge/project-documentation-blue.svg)](https://github.com/dvorka/mindforger-repository/blob/master/memory/mindforger/index.md)
[![GitHub issues](https://img.shields.io/github/issues/dvorka/mindforger.svg?maxAge=360)](https://github.com/dvorka/mindforger/issues)
[![All releases downloads](https://img.shields.io/github/downloads/dvorka/mindforger/total.svg)](https://github.com/dvorka/mindforger/releases)
[![AUR](https://img.shields.io/aur/license/yaourt.svg)](https://github.com/dvorka/mindforger/blob/master/LICENSE)
<a href="https://twitter.com/intent/follow?screen_name=mindforger"><img src="https://img.shields.io/twitter/follow/mindforger.svg?style=social&logo=twitter" alt="follow on Twitter"></a>

Are you drowning in information, but starving for **knowledge**? Where do you keep your **private remarks** 
like ideas, personal plans, gift tips, how-tos, dreams, business vision, finance strategy, auto 
coaching notes? Loads of documents, sketches and remarks spread around the file system, cloud, 
web and Post-it notes? Are you afraid of your knowledge **privacy**? Are you able to **find** then once you create them? 
Do you know how are they mutually **related** when you read or write them? No?

https://www.mindforger.com

## Markdown IDE
![MindForger](http://www.mindforger.com/github/github-markdown-ide.png?)

MindForger is open, free, well performing Markdown IDE which respects your privacy and enables security. 

## Thinking Notebook
![MindForger](http://www.mindforger.com/github/github-thinking-notebook.png)

MindForger is actually more than an editor or IDE - it's human mind inspired personal knowledge management tool.

## Installation
Install:

* [Ubuntu](https://github.com/dvorka/mindforger-repository/blob/master/memory/mindforger/installation.md#ubuntu-)
* [Debian](https://github.com/dvorka/mindforger-repository/blob/master/memory/mindforger/installation.md#debian-)
* [Fedora](https://github.com/dvorka/mindforger-repository/blob/master/memory/mindforger/installation.md#fedora-)
* [Arch Linux](https://github.com/dvorka/mindforger-repository/blob/master/memory/mindforger/installation.md#arch-linux-)
* [macOS](https://github.com/dvorka/mindforger-repository/blob/master/memory/mindforger/installation.md#macos-)
* [Windows WSL](https://github.com/dvorka/mindforger-repository/blob/master/memory/mindforger/installation.md#wsl-)

Build:

* [build on Ubuntu](https://github.com/dvorka/mindforger-repository/blob/master/memory/mindforger/installation.md#build-on-ubuntu-)
* [build on Debian](https://github.com/dvorka/mindforger-repository/blob/master/memory/mindforger/installation.md#build-on-debian-)
* [build on Fedora](https://github.com/dvorka/mindforger-repository/blob/master/memory/mindforger/installation.md#build-on-fedora-)
* [build on macOS](https://github.com/dvorka/mindforger-repository/blob/master/memory/mindforger/installation.md#build-on-macos-)
* [build on Windows Subsystem for Linux (WSL)](https://github.com/dvorka/mindforger-repository/blob/master/memory/mindforger/installation.md#build-on-wsl-)

Docker:

* [build and run container](https://github.com/dvorka/mindforger-repository/blob/master/memory/mindforger/installation.md#build-and-run-in-container-)

Tarball:

* [download tarball](https://github.com/dvorka/mindforger/releases)

## Documentation
Read:

* [Why MindForger?](https://github.com/dvorka/mindforger-repository/blob/master/memory/mindforger/why-mindforger.md)
* [Installation](https://github.com/dvorka/mindforger-repository/blob/master/memory/mindforger/installation.md) 
* [User documentation](https://github.com/dvorka/mindforger-repository/blob/master/memory/mindforger/user-documentation.md) 
* [Developer documentation](https://github.com/dvorka/mindforger-repository/blob/master/memory/mindforger/developer-documentation.md)
* [Project history](https://github.com/dvorka/mindforger-repository/blob/master/memory/mindforger/history.md)
* [FAQ](https://github.com/dvorka/mindforger-repository/blob/master/memory/mindforger/faq.md)

Check `man mindforger`

## In the News
Read about MindForger on [FOSSMint](https://www.fossmint.com/mindforger-notebook-and-markdown-ide/), [Fedora Magazine](https://fedoramagazine.org/4-try-copr-december-2018/) and [MOONGIFT.jp](https://www.moongift.jp/2018/12/mindforger-markdown%E3%82%92%E4%BD%BF%E3%81%A3%E3%81%9F%E3%83%8A%E3%83%AC%E3%83%83%E3%82%B8%E3%83%99%E3%83%BC%E3%82%B9/).

## Bugs and Feature Requests
https://github.com/dvorka/mindforger/issues
